# Edit Brands

Make changes to one or more existing Brand records.
If the Brand is at the User's own Organization, the User must be a Tenant Administrator in order to make changes to it.
NOT YET IMPLEMENTED

Endpoint: POST /core/brands/update
Version: 0.0.5
Security: OAuth2

## Request fields (application/json):

  - `id` (string)
    Example: 8e8aa42241794371ae9d0ed7b67a8c86

  - `status` (string)
    Whether the item is active or inactive in TonicDM. Potentially the item could be (soft) deleted.
    Enum: "active", "inactive", "deleted"

  - `domains` (array)
    Currently one and only one domain must be present.
# Zero or more domains that belong to this organization and represent the Brand, eg. `firm.com`, `firm.co.us`.
In the case of a shared domain contact, the "domain" of their Brand is their full email address, eg. `steven.novosel@gmail.com`.

  - `brandNameLegal` (string)
    The full official name of the Brand (used on transmittals).

  - `brandNameKnownAs` (string)
    The friendly name of the Brand (used within the TonicDM app).

  - `brandInitials` (string)
    The initials of the Brand (used in very small spaces)

  - `brandColor` (string)
    Brand color for the Brand.

  - `disciplines` (array)
    limits the disciplines that can be chosen for any person in this Brand to help consistency.

  - `certifications` (array)
    Zero or more certifications that this Brand has obtained, or previously obtained, for example Women Owned Business. REQUIRES the TonicDM AdvancedContacts license. 
REQUIRES the TonicDM AdvancedContacts license.

  - `isPrime` (boolean)
    Indicates that this Brand is the primary Brand for this organization. 
When displaying an organization, the Prime Brand info will be used for their Name, etc.
REQUIRES the TonicDM AdvancedContacts license.

  - `customerDataWarehouseId` (string)
    The ID of the Person in the Customer's Data Warehouse.
FOR USE BY CUSTOMER. NOT YET IMPLEMENTED.
REQUIRES the TonicDM AdvancedMetrics license.

  - `customerErpId` (string)
    The ID of the Person in the Customer's ERP system (eg. Deltek Vantagepoint).
FOR USE BY CUSTOMER. NOT YET IMPLEMENTED.
REQUIRES the TonicDM AdvancedMetrics license.

  - `customerCrmId` (string)
    The ID of the Person in the Customer's CRM system (eg. Deltek Salesforce).
FOR USE BY CUSTOMER. NOT YET IMPLEMENTED.
REQUIRES the TonicDM AdvancedMetrics license.

## Response 200 fields (application/json):

  - `status` (string, required)
    Enum: "success"

  - `data` (array, required)

  - `data.id` (string)
    Example: 8e8aa42241794371ae9d0ed7b67a8c86

  - `data.datetimeCreated` (string)
    The date and time this Brand was created.

  - `data.datetimeUpdated` (string)
    The date and time this Brand was last updated.

  - `data.status` (string)
    Whether the item is active or inactive in TonicDM. Potentially the item could be (soft) deleted.
    Enum: "active", "inactive", "deleted"

  - `data.domains` (array)
    Currently one and only one domain must be present.
# Zero or more domains that belong to this organization and represent the Brand, eg. `firm.com`, `firm.co.us`.
In the case of a shared domain contact, the "domain" of their Brand is their full email address, eg. `steven.novosel@gmail.com`.

  - `data.brandNameLegal` (string)
    The full official name of the Brand (used on transmittals).

  - `data.brandNameKnownAs` (string)
    The friendly name of the Brand (used within the TonicDM app).

  - `data.brandInitials` (string)
    The initials of the Brand (used in very small spaces)

  - `data.brandColor` (string)
    Brand color for the Brand.

  - `data.disciplines` (array)
    limits the disciplines that can be chosen for any person in this Brand to help consistency.

  - `data.certifications` (array)
    Zero or more certifications that this Brand has obtained, or previously obtained, for example Women Owned Business. REQUIRES the TonicDM AdvancedContacts license. 
REQUIRES the TonicDM AdvancedContacts license.

  - `data.isPrime` (boolean)
    Indicates that this Brand is the primary Brand for this organization. 
When displaying an organization, the Prime Brand info will be used for their Name, etc.
REQUIRES the TonicDM AdvancedContacts license.

  - `data.customerDataWarehouseId` (string)
    The ID of the Person in the Customer's Data Warehouse.
FOR USE BY CUSTOMER. NOT YET IMPLEMENTED.
REQUIRES the TonicDM AdvancedMetrics license.

  - `data.customerErpId` (string)
    The ID of the Person in the Customer's ERP system (eg. Deltek Vantagepoint).
FOR USE BY CUSTOMER. NOT YET IMPLEMENTED.
REQUIRES the TonicDM AdvancedMetrics license.

  - `data.customerCrmId` (string)
    The ID of the Person in the Customer's CRM system (eg. Deltek Salesforce).
FOR USE BY CUSTOMER. NOT YET IMPLEMENTED.
REQUIRES the TonicDM AdvancedMetrics license.

  - `metadata` (object, required)
    Present on every JSON response. For non-paginated operations, `page` will be 1, `total_pages` will be 1,
and `total_records` equal to the number of elements in `data`.

  - `metadata.timestamp` (string, required)

  - `metadata.correlation_id` (string, required)

  - `metadata.page` (integer, required)

  - `metadata.total_pages` (integer, required)

  - `metadata.total_records` (integer, required)

## Response 400 fields (application/json):

  - `status` (string, required)
    Enum: "fail", "error"

  - `error` (object, required)

  - `error.code` (string, required)
    Example: VALIDATION_ERROR

  - `error.message` (string, required)
    Example: Invalid input

  - `metadata` (object, required)
    Present on every JSON response. For non-paginated operations, `page` will be 1, `total_pages` will be 1,
and `total_records` equal to the number of elements in `data`.

  - `metadata.timestamp` (string, required)

  - `metadata.correlation_id` (string, required)

  - `metadata.page` (integer, required)

  - `metadata.total_pages` (integer, required)

  - `metadata.total_records` (integer, required)

## Response 401 fields (application/json):

  - `status` (string, required)
    Enum: "fail", "error"

  - `error` (object, required)

  - `error.code` (string, required)
    Example: VALIDATION_ERROR

  - `error.message` (string, required)
    Example: Invalid input

  - `metadata` (object, required)
    Present on every JSON response. For non-paginated operations, `page` will be 1, `total_pages` will be 1,
and `total_records` equal to the number of elements in `data`.

  - `metadata.timestamp` (string, required)

  - `metadata.correlation_id` (string, required)

  - `metadata.page` (integer, required)

  - `metadata.total_pages` (integer, required)

  - `metadata.total_records` (integer, required)

## Response 403 fields (application/json):

  - `status` (string, required)
    Enum: "fail", "error"

  - `error` (object, required)

  - `error.code` (string, required)
    Example: VALIDATION_ERROR

  - `error.message` (string, required)
    Example: Invalid input

  - `metadata` (object, required)
    Present on every JSON response. For non-paginated operations, `page` will be 1, `total_pages` will be 1,
and `total_records` equal to the number of elements in `data`.

  - `metadata.timestamp` (string, required)

  - `metadata.correlation_id` (string, required)

  - `metadata.page` (integer, required)

  - `metadata.total_pages` (integer, required)

  - `metadata.total_records` (integer, required)

## Response 404 fields (application/json):

  - `status` (string, required)
    Enum: "fail", "error"

  - `error` (object, required)

  - `error.code` (string, required)
    Example: VALIDATION_ERROR

  - `error.message` (string, required)
    Example: Invalid input

  - `metadata` (object, required)
    Present on every JSON response. For non-paginated operations, `page` will be 1, `total_pages` will be 1,
and `total_records` equal to the number of elements in `data`.

  - `metadata.timestamp` (string, required)

  - `metadata.correlation_id` (string, required)

  - `metadata.page` (integer, required)

  - `metadata.total_pages` (integer, required)

  - `metadata.total_records` (integer, required)

## Response 429 fields (application/json):

  - `status` (string, required)
    Enum: "fail", "error"

  - `error` (object, required)

  - `error.code` (string, required)
    Example: VALIDATION_ERROR

  - `error.message` (string, required)
    Example: Invalid input

  - `metadata` (object, required)
    Present on every JSON response. For non-paginated operations, `page` will be 1, `total_pages` will be 1,
and `total_records` equal to the number of elements in `data`.

  - `metadata.timestamp` (string, required)

  - `metadata.correlation_id` (string, required)

  - `metadata.page` (integer, required)

  - `metadata.total_pages` (integer, required)

  - `metadata.total_records` (integer, required)

## Response 500 fields (application/json):

  - `status` (string, required)
    Enum: "fail", "error"

  - `error` (object, required)

  - `error.code` (string, required)
    Example: VALIDATION_ERROR

  - `error.message` (string, required)
    Example: Invalid input

  - `metadata` (object, required)
    Present on every JSON response. For non-paginated operations, `page` will be 1, `total_pages` will be 1,
and `total_records` equal to the number of elements in `data`.

  - `metadata.timestamp` (string, required)

  - `metadata.correlation_id` (string, required)

  - `metadata.page` (integer, required)

  - `metadata.total_pages` (integer, required)

  - `metadata.total_records` (integer, required)

